Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.sg
Class SGTextChannel

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.std.comp.ComponentIdentifier
                  |
                  +--quicktime.std.comp.Component
                        |
                        +--quicktime.std.sg.SGChannel
                              |
                              +--quicktime.std.sg.VisualChannel
                                    |
                                    +--quicktime.std.sg.SGTextChannel

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class SGTextChannel
extends VisualChannel
implements quicktime.jdirect.QuickTimeLib

Assists in importing video into a movie. The SGChannel implements methods for a corresponding QuickTime ComponentInstance structure. Refer to SGChannel in QuickTime Components

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`SGTextChannel(SequenceGrabber owner)` Creates a sequence grabber channel text and assigns a channel component to the channel.

Method Summary
`int` | `getReturnToSpaceValue()` Gets the text return to space value.
`TextDescription` | `getTextDescription()` This method allows you to retrieve a music sample description from the SGChannel.
`void` | `setBackColor(QDColor theColor)` sets background text color.
`void` | `setFontName(java.lang.String fontName)` sets the name of the font to be used to display text.
`void` | `setFontSize(int fontSize)` sets the size of the font to be used to display text.
`void` | `setForeColor(QDColor theColor)` sets foreground text color.
`void` | `setJustification(int just)` sets text justification.
`void` | `setReturnToSpaceValue(int rettospace)` Sets the text return to space value.

Methods inherited from class quicktime.std.sg.VisualChannel
`getBounds, getClip, getMatrix, setBounds, setClip, setMatrix`

Methods inherited from class quicktime.std.sg.SGChannel
`getDataSourceName, getDeviceList, getPlayFlags, getSampleDescription, getSequenceGrabber, getSettings, getTimeScale, getUsage, setDataSourceName, setDevice, setOutput, setPlayFlags, setSettings, settingsDialog, settingsDialog, setUsage`

Methods inherited from class quicktime.std.comp.Component
`count`

Methods inherited from class quicktime.std.comp.ComponentIdentifier
`find, find, getInfo, toString`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SGTextChannel

    public SGTextChannel(SequenceGrabber owner)
                  throws StdQTException

  Creates a sequence grabber channel text and assigns a channel component to the channel. The channel component is responsible for providing digitized data to the sequence grabber component.
  QuickTime::SGNewChannel
Parameters:
  `owner` - specifies the sequence grabber component the channel is attached to.

Method Detail

### getTextDescription

    public final TextDescription getTextDescription()
                                             throws QTException

  This method allows you to retrieve a music sample description from the SGChannel.

  Returns:
    a TextDescription object.

### setFontName

    public void setFontName(java.lang.String fontName)
                     throws StdQTException

  sets the name of the font to be used to display text.
  QuickTime::SGSetFontName

  Parameters:
    `fontName` - a pointer to a string containing the name of the font.

### setFontSize

    public void setFontSize(int fontSize)
                     throws StdQTException

  sets the size of the font to be used to display text.
  QuickTime::SGSetFontSize

  Parameters:
    `pstr` - a pointer to a string containing the name of the font.

### setForeColor

    public void setForeColor(QDColor theColor)
                      throws StdQTException

  sets foreground text color.
  QuickTime::SGSetTextForeColor

  Parameters:
    `theColor` - the new foreground text color.

### setBackColor

    public void setBackColor(QDColor theColor)
                      throws StdQTException

  sets background text color.
  QuickTime::SGSetTextBackColor

  Parameters:
    `theColor` - the new background text color.

### setJustification

    public void setJustification(int just)
                          throws StdQTException

  sets text justification.
  QuickTime::SGSetJustification

  Parameters:
    `just` - the text justification.

### getReturnToSpaceValue

    public int getReturnToSpaceValue()
                              throws StdQTException

  Gets the text return to space value.
  QuickTime::SGGetTextReturnToSpaceValue

  Parameters:
    `returns` - the text to space value.

### setReturnToSpaceValue

    public void setReturnToSpaceValue(int rettospace)
                               throws StdQTException

  Sets the text return to space value.
  QuickTime::SGSetTextReturnToSpaceValue

  Parameters:
    `rettospace` - the value for the new text to space setting.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD